Subject: bug#47191: 28.0.50; Native compilation branch freeze in cc-mode

From: Damien <[email-masked]>
Date: Wed, 17 Mar 2021 07:07:54 +0000

Hello,

Thank you for your response, I'll try again with the same commit and the right configuration flag :)

Damien

"Andrea Corallo" [email-masked] – 16 mars 2021 16:35
> Damien <[email-masked]> writes:
>
> > Using the native compilation branch, Create tmp.cpp with this:
> >
> > ```
> > // In state_machine
> > private: auto
> > state_machine::stop_bbbbbbb(states::recording &&s,
> > aaaaaa::bbbbbbb_stopped_reason reason)
> > -> fsm::state_machine<
> > aaaaaa::bbbbbbb::state_machine,
> > std::variant<aaaaa::bbbb::cccccc::ddddddd::eeeeee::aaaaaa_connected,
> > aaaaa::bbbb::cccccc::ddddddd::eeeeee::aaaaaa_disconnected,
> > aaaaa::bbbb::cccccc::ddddddd::eeeeee::aaaaaa_state,
> > aaaaa::bbbb::cccccc::ddddddd::eeeeee::aaaaaa_info,
> > aaaaa::bbbb::cccccc::ddddddd::eeeeee::aaaaaa_battery,
> > aaaaa::bbbb::cccccc::ddddddd::eeeeee::account_error,
> > aaaaa::bbbb::cccccc::ddddddd::eeeeee::account_valid>,
> > std::variant<aaaaa::bbbb::aaaaaa::bbbbbbb::states::init>>::state
> > ```
> >
> > Open using `emacs -Q tmp.cpp` and emacs freezes.
>
> I've just compiled f3abb17118 but I can't reproduce this.
>
> I'm seeing you are compiling with '--with-nativecomp', we have changed
> the flag into '--with-nativecompilation' (yeah sorry) so native
> compilation is disable on your build (should be also listed in
> "Configured features:" if enabled).
>
> Rebuilding f3abb17118 without enabling native compilation I still can't
> reproduce this :(
>
> Thanks
>
> Andrea
>
>